Manage your Mac OSX system software updates

Thursday, July 3rd, 2008

The following is considered reckless heresy in some circles, but I believe this to be one of the absolute truths about using computers whether they be Macs or PeeCees: If you use your computer to make money, and particularly if that involves recording audio or video, turn off all automatic software updates. Make sure YOU […]

Pro Tools Pre-release Available for Leopard

Friday, May 30th, 2008

Well now, that was quick. No sooner had I posted about Digidesign’s progress with OS X 10.5 (Leopard) than the company released Leopard-compatible versions of all three flavors of Pro Tools version 7.4.2pr for download. The pr stands for pre-release, and that tells me it’s not a good idea to put this software on a […]

Pro Tools is okay for OSX 10.5.3 — well, almost

Wednesday, May 28th, 2008

[Updated 8-30-08] There are now pre-release versions of HD, LE, and M-Powered for Leopard on Digi’s website. In what has to be one of the more cryptic technical documents to ever emerge from a tech company, Digidesign today stated that Pro Tools is in its final testing stages running on Mac OSX 10.5.3. The missive […]

Half a Leopard for Pro Tools

Saturday, April 26th, 2008

Those who cut audio in Pro Tools and are waiting for Digidesign to qualify Mac OSX 10.5 so they can upgrade their computers got half a green light today. Digidesign announced that Pro Tools HD version 7.4.1 runs okey-dokey under 10.5.1 (but not 10.5.2). However, their LE and M-Powered products are still not kosher for […]

No Leopard either, please.

Saturday, November 3rd, 2007

Do I need to remind you that upgrading to Mac OSX 10.5, aka Leopard, is a Bad Idea right now. It has not been certified by Digidesign, Waves, MOTU, or anyone else really. So unless you’re using plain-vanillla Logic Studio 8, just wait awhile. Okay? Having said that, reports from the Digidesign User Conference claim […]

OSX 10.4.9 Approved by Waves, Digidesign

Saturday, June 9th, 2007

The aforementioned troubles with Mac OSX version 10.4.9 appear to be solved for the most part. Plug-in vendors including Waves and Ohm Force have released updated versions of their plugs (in the case of Waves, updated Waveshells) that allow them to be validated properly by the auval application in 10.4.9. I’m still experiencing some minor […]

Mac OSX 10.4.9 makes trouble with some Audio Units

Thursday, April 5th, 2007

Some plug-in developers, notably Waves and Ohm Boyz, have issued warnings against installing Mac OSX version 10.4.9.